#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		qtver		5.15.2
%define		kaname		kdenlive
Summary:	KDE movie editor
Summary(pl.UTF-8):	Edytor filmów dla KDE
Name:		kdenlive
Version:	22.12.0
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	9a6de48b702e0139828fe394fd74bc3c
URL:		http://kdenlive.org/
BuildRequires:	Qt5Concurrent-devel
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Multimedia-devel
BuildRequires:	Qt5Network-devel
BuildRequires:	Qt5NetworkAuth-devel
BuildRequires:	Qt5Qml-devel
BuildRequires:	Qt5Quick-controls2-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Script-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5WebKit-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	cmake
BuildRequires:	gettext-tools
BuildRequires:	kf5-attica-devel
BuildRequires:	kf5-karchive-devel
BuildRequires:	kf5-kbookmarks-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kcrash-devel
BuildRequires:	kf5-kdbusaddons-devel
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-kdesignerplugin-devel
BuildRequires:	kf5-kdoctools-devel
BuildRequires:	kf5-kfilemetadata-devel
BuildRequires:	kf5-kguiaddons-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kiconthemes-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-knewstuff-devel
BuildRequires:	kf5-knotifications-devel
BuildRequires:	kf5-knotifyconfig-devel
BuildRequires:	kf5-kplotting-devel
BuildRequires:	kf5-ktextwidgets-devel
BuildRequires:	kf5-kwidgetsaddons-devel
BuildRequires:	kf5-kxmlgui-devel
BuildRequires:	kf5-purpose-devel
BuildRequires:	kf5-sonnet-devel
BuildRequires:	libv4l-devel
BuildRequires:	mlt-devel >= 7.12.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qjson-devel >= 0.5
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	rttr-devel
BuildRequires:	shared-desktop-ontologies-devel
BuildRequires:	soprano-devel
BuildConflicts:	gstreamer0.10
Requires:	%{name}-data = %{version}-%{release}
Requires:	Qt5Gui-platform-xcb-egl
Requires:	Qt5Gui-platform-xcb-glx
Requires:	Qt5Quick-controls
Suggests:	dvdauthor
Suggests:	dvgrab
Suggests:	ffmpeg-ffplay
Suggests:	frei0r-plugins
Suggests:	mlt >= 7.12.0
Suggests:	recordmydesktop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kdenlive is a non-linear video editor for KDE. It provides all project
management and editing tools while relying on a separate rendering
program (currently PIAVE) to perform the editing operations. Support
is planned for transitions, effects, multiple file formats, and full
project and asset management support. The current beta is capable of
editing raw DV or AVI DV files, with tools such as move, razor, and
resize, selecting parts of clips using in/outpoints, and exporting the
result to another raw DV file. You may playback/preview the contents
of the timeline at any point during the edit. Full project save/load
is supported.

%description -l pl.UTF-8
Kdenlive to nieliniowy edytor filmów dla KDE. Dostarcza narzędzia do
zarządzania projektem i edycji polegające na oddzielnym programie
renderującym (aktualnie PIAVE) do wykonywania operacji edycji.
Planowana jest obsługa przejść, efektów, wielu formatów plików
oraz pełnego zarządzania projektem i kapitałem. Aktualna wersja
beta może modyfikować pliki w formacie surowego DV oraz AVI DV przy
użyciu narzędzi takich jak przemieszczanie, cięcia, zmiana
rozmiaru, wybieranie części klatek przy użyciu punktów
wejściowych/wyjściowych oraz eksportowanie wyniku do innego pliku w
formacie surowego DV. Można odtwarzać/podglądać zawartość w
dowolnej chwili edycji. Obsługiwany jest zapis/odczyt pełnego
projektu.

%package data
Summary:	Data files for %{kaname}
Summary(pl.UTF-8):	Dane dla %{kaname}
Group:		X11/Applications/Multimedia
BuildArch:	noarch

%description data
Data files for %{kaname}.

%description data -l pl.UTF-8
Dane dla %{kaname}.

%prep
%setup -q

%build
mkdir -p build
cd build
%cmake .. \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DPLUGIN_INSTALL_DIR=%{_libdir}/qt5/plugins

%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}*
%{_libdir}/qt5/plugins/mltpreview.so
%{_libdir}/qt5/plugins/designer/kdenlivewidgets.so

%files data  -f %{kaname}.lang
%defattr(644,root,root,755)
%{_datadir}/metainfo/org.kde.kdenlive.appdata.xml
%{_datadir}/config.kcfg/kdenlivesettings.kcfg
%{_datadir}/knotifications5/kdenlive.notifyrc
%{_datadir}/kservices5/mltpreview.desktop
%dir %{_datadir}/kxmlgui5/kdenlive
%{_datadir}/kxmlgui5/kdenlive/kdenliveui.rc
%{_datadir}/mime/packages/*.xml
%{_datadir}/%{name}
%{_desktopdir}/org.kde.kdenlive.desktop
%{_iconsdir}/*/*/*/*.png
%{_iconsdir}/*/*/*/*.svg
%{_iconsdir}/*/*/*/*.svgz
%{_mandir}/man1/kdenlive*
%{_datadir}/knsrcfiles/*.knsrc
%{_datadir}/qlogging-categories5/kdenlive.categories
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kdenlive.git;a=log;h=master

* Fri Dec 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d2ec3da
- relup

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6cf6d7d
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 76e04a5
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 00f7feb
- updated to 22.08.2

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e0fb94f
- updated to 22.08.1

* Mon Sep 05 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a130377
- BR: Qt5Quick-controls2-devel

* Sat Sep 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> b21f977
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0df48a2
- updated to 22.04.3

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 0d4f3cb
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 98f2a51
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 5c0ba5e
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4d94c98
- bcond_with tests

* Sun Mar 06 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6d51ceb
- relup

* Fri Mar 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 498097d
- updated to 21.12.3

* Thu Feb 03 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 42a2330
- updated to 21.12.2

* Mon Jan 24 2022 Jan Rękorajski <baggins@pld-linux.org> 48b88d9
- add missing BR

* Fri Jan 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 28374e9
- updated to 21.12.1

* Sun Jul 12 2020 Jan Rękorajski <baggins@pld-linux.org> 450ed0c
- BR rttr-devel

* Sun Jul 12 2020 Jan Rękorajski <baggins@pld-linux.org> 9a44c22
- added more BRs

* Sun Jul 12 2020 Jan Rękorajski <baggins@pld-linux.org> 62ae05b
- updated BRs

